com.holonplatform.vaadin7.components.builders

## Interface SelectItemDataSourceBuilder<T,C extends Input<T>,S,ITEM,B extends SelectItemDataSourceBuilder<T,C,S,ITEM,B>>

- Type Parameters:
    `T` - Field type
    `C` - Field component type
    `S` - Selection type
    `ITEM` - Selection items type
    `B` - Concrete builder type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<B>, BaseSelectInputBuilder<T,C,S,ITEM,B>, ComponentConfigurator<B>, InputBuilder<T,C,B>, InputConfigurator<T,B>, SelectInputBuilder<T,C,S,ITEM,B>
  All Known Subinterfaces:
    MultiSelectInputBuilder<T>, SingleSelectInputBuilder<T>

      public interface SelectItemDataSourceBuilder<T,C extends Input<T>,S,ITEM,B extends SelectItemDataSourceBuilder<T,C,S,ITEM,B>>
      extends SelectInputBuilder<T,C,S,ITEM,B>

  Select component builder with `ItemDataSource` support.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `dataSource(ItemDataProvider<ITEM> dataProvider)` Set the selection items data provider.
    `B` | `itemAdapter(ItemAdapter<ITEM> itemAdapter)` Set the item adapter to use to convert data source items into container items and back.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

- - ### Method Detail

    - #### dataSource

          B dataSource(ItemDataProvider<ITEM> dataProvider)

      Set the selection items data provider.
      Parameters:
        `dataProvider` - Items data provider (not null)
      Returns:
        this

    - #### itemAdapter

          B itemAdapter(ItemAdapter<ITEM> itemAdapter)

      Set the item adapter to use to convert data source items into container items and back.
      Parameters:
        `itemAdapter` - the item adapter (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.